libphp-snoopy_2.0.0-2_all.deb


Advertisement

Description

libphp-snoopy - Snoopy is a PHP class that simulates a web browser

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libphp-snoopy
Package version 2.0.0
Package release 2
Package architecture all
Package type deb
Installed size 56 B
Download size 14.15 KB
Official Mirror archive.ubuntu.com
It automates the task of retrieving web page content and posting forms,
for example.
Some of Snoopy's features:
* easily fetch the contents of a web page
* easily fetch the text from a web page (strip html tags)
* easily fetch the links from a web page
* supports proxy hosts
* supports basic user/pass authentication
* supports setting user_agent, referer, cookies and header content
* supports browser redirects, and controlled depth of redirects
* expands fetched links to fully qualified URLs (default)
* easily submit form data and retrieve the results
* supports following html frames (added v0.92)
* supports passing cookies on redirects (added v0.92)

Alternatives

Package Version Architecture Repository
libphp-snoopy_2.0.0-2_all.deb 2.0.0 all Ubuntu Universe
libphp-snoopy - - -

Requires

Name Value
php-pear -

Download

Type URL
Binary Package libphp-snoopy_2.0.0-2_all.deb
Source Package libphp-snoopy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libphp-snoopy deb package:
    # sudo apt-get install libphp-snoopy

Files

Path
/usr/share/doc/libphp-snoopy/FAQ
/usr/share/doc/libphp-snoopy/NEWS.gz
/usr/share/doc/libphp-snoopy/README.gz
/usr/share/doc/libphp-snoopy/TODO
/usr/share/doc/libphp-snoopy/changelog.Debian.gz
/usr/share/doc/libphp-snoopy/copyright
/usr/share/php/libphp-snoopy/Snoopy.class.php

Changelog

2016-05-21 - Marcelo Jorge Vieira <metal@debian.org>
libphp-snoopy (2.0.0-2) unstable; urgency=high
* Depend on php-pear instead of php5 | php5-cli (Closes: #821529)
* Moving this package to pkg-php-pear team
* Bump debhelper compatibility level to 9
* Updated Standards-Version to 3.9.8 (no changes)
2015-02-24 - Marcelo Jorge Vieira <metal@debian.org>
libphp-snoopy (2.0.0-1) unstable; urgency=high
* New upstream release:
+ Fixes: CVE-2008-7313 and CVE-2014-5008 (Closes: #778634)
+ Remove curl dependency
* Control:
+ Remove trailing spaces
+ Use canonical Vcs-fields
+ Updated Standards-Version to 3.9.6 (no changes)
* Switch to dpkg-source 3.0 (quilt) format
2010-03-20 - Marcelo Jorge Vieira (metal) <metal@debian.org>
libphp-snoopy (1.2.4-2) unstable; urgency=low
* Fixed debian-watch-file-should-use-sf-redirector
* Removing cdbs references and bumping package to debhelper 7
* Updated Standards-Version to 3.8.4 (no changes)
* Changing my email for Debian address
* Changed VCS fields to my new account in Alioth
* Changed package section from 'web' to 'php'
2008-10-28 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
libphp-snoopy (1.2.4-1) unstable; urgency=high
* New Upstream Version
- fixes CVE-2008-4796 (Closes: #504168)
2008-01-31 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
libphp-snoopy (1.2.3-2) unstable; urgency=low
* Added watch file
* Updated Standards-Version to 3.7.3
2007-09-14 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
libphp-snoopy (1.2.3-1) unstable; urgency=low
* Initial release (Closes: #442303)

See Also

Package Description
libphp-swiftmailer_5.4.2-1.1_all.deb transitional dummy package
libphp7.2-embed_7.2.3-1ubuntu1_i386.deb HTML-embedded scripting language (Embedded SAPI library)
libphtools2-dev_20061220+dfsg3-3.1build1_i386.deb [Physics] General purpose Monte Carlo routines (development files)
libphtools2-gfortran_20061220+dfsg3-3.1build1_i386.deb [Physics] General purpose Monte Carlo routines
libphutil_0~git20170812-1_all.deb Shared library for Arcanist and Phabricator
libphysfs-dev_3.0.1-1_i386.deb filesystem abstraction library for game programmers (development headers)
libphysfs1_3.0.1-1_i386.deb filesystem abstraction library for game programmers
libpiano-dev_2017.08.30-1_i386.deb library to interface with Pandora radio -- development
libpiano0_2017.08.30-1_i386.deb library to interface with Pandora radio -- runtime files
libpicard-java-doc_2.8.1+dfsg-3_all.deb Documentation for the java picard library
libpicard-java_2.8.1+dfsg-3_all.deb Java library to manipulate SAM and BAM files
libpiccolo-java_1.2-1_all.deb toolkit for development of 2D structured graphics
libpicocontainer-java-doc_2.15-2_all.deb Java library implementing the Dependency Injection pattern -- docs
libpicocontainer-java_2.15-2_all.deb Java library implementing the Dependency Injection pattern
libpimcommon4_4.14.10-7_i386.deb library for common bits of KDEPIM
Advertisement
Advertisement